import type { FN, Debounced } from './types.js';
declare const debounce: <Args extends unknown[]>(fn: FN<Args, unknown>, wait?: number, options?: {
    leading?: boolean;
    trailing?: boolean;
    maxWait?: number;
}) => Debounced<Args>;
export default debounce;
